## bluemon 1.3

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,13 @@
 # Where to put stuff on 'make install'?
 PREFIX ?= $(DESTDIR)/usr
 SBIN    ?= $(PREFIX)/sbin
-BIN    ?= $(PREFIX)/sbin
-MAN    ?= $(PREFIX)/share/man/man1
+BIN    ?= $(PREFIX)/bin
+MAN    ?= $(PREFIX)/share/man
 DOC    ?= $(PREFIX)/share/doc/bluemon
-CONFIG ?= $(PREFIX)/etc/bluemon
-DBUSCONFIG ?= $(PREFIX)/etc/dbus-1/system.d
-VERSION = 1.2
-DEB_VER = 
+CONFIG ?= $(DESTDIR)/etc/bluemon
+DBUSCONFIG ?= $(DESTDIR)/etc/dbus-1/system.d
+VERSION = 1.3
+DEB_VER = -1
 DEB_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEB_RELEASE ?= $(shell sh -c '(lsb_release -c || echo unknown) | cut -f2' 2>/dev/null)
    
@@ -20,7 +20,7 @@
 	echo $(DEB_RELEASE)
 
 bluemon: bluetooth-monitor.c
-	$(CC) $(CFLAGS) $(INCLUDES) $(LIBS) -o $@ $<
+	$(CC) $(CFLAGS) $(INCLUDES) $(LIBS) -DVERSION=\"$(VERSION)\" -o $@ $<
 bluemon-query: bluemon-query.c
 	$(CC) $(CFLAGS) $(INCLUDES) $(LIBS) -o $@ $<
 bluemon-client: bluemon-client.c
@@ -39,10 +39,11 @@
 	-rm $(DOC)/bluemon-dbus.xml
 	-rm $(DOC)/INSTALL
 	-rm $(DOC)/COPYING
-	-rm $(MAN)/bluemon.1
-	-rm $(MAN)/bluemon-query.1
-	-rm $(MAN)/bluemon-client.1
-	-rm $(MAN)/bluemon-dbus.7
+	-rm $(DOC)/changelog
+	-rm $(MAN)/man1/bluemon.1
+	-rm $(MAN)/man1/bluemon-query.1
+	-rm $(MAN)/man1/bluemon-client.1
+	-rm $(MAN)/man7/bluemon-dbus.7
 	-rm $(SBIN)/bluemon
 	-rm $(BIN)/bluemon-query
 	-rm $(BIN)/bluemon-client
@@ -59,6 +60,7 @@
 	install -d $(DOC) 
 	install -m 644 README $(DOC)/README
 	install -m 644 bluemon-dbus.xml $(DOC)/bluemon-dbus.xml
+	install -m 644 changelog $(DOC)/changelog
 install-doc: INSTALL COPYING
 	install -d $(DOC) 
 	install -m 644 INSTALL $(DOC)/INSTALL
@@ -71,10 +73,12 @@
 
 install-man: bluemon.1 bluemon-query.1 bluemon-dbus.7 bluemon-client.1
 	install -d $(MAN)
-	install -m 644 bluemon.1 $(MAN)/bluemon.1
-	install -m 644 bluemon-query.1 $(MAN)/bluemon-query.1
-	install -m 644 bluemon-client.1 $(MAN)/bluemon-client.1
-	install -m 644 bluemon-dbus.7 $(MAN)/bluemon-dbus.7
+	install -d $(MAN)/man1
+	install -d $(MAN)/man7
+	install -m 644 bluemon.1 $(MAN)/man1/bluemon.1
+	install -m 644 bluemon-query.1 $(MAN)/man1/bluemon-query.1
+	install -m 644 bluemon-client.1 $(MAN)/man1/bluemon-client.1
+	install -m 644 bluemon-dbus.7 $(MAN)/man7/bluemon-dbus.7
 
 install-bin: bluemon bluemon-query bluemon-client
 	install -d $(BIN)
@@ -114,7 +118,7 @@
 
 
 dist: .dist
-.dist: bluemon-query.c bluetooth-monitor.c Makefile bluemon-query.sgml bluemon.sgml README INSTALL COPYING debian/bluemon.default debian/bluemon.init bluemon-client.c bluemon-client.sgml bluemon-dbus.sgml bluemon-dbus.xml bluemon-dbus.conf
+.dist: bluemon-query.c bluetooth-monitor.c Makefile bluemon-query.sgml bluemon.sgml README INSTALL COPYING debian/bluemon.default debian/bluemon.init bluemon-client.c bluemon-client.sgml bluemon-dbus.sgml bluemon-dbus.xml bluemon-dbus.conf changelog
 	-rm -rf bluemon-$(VERSION)
 	mkdir bluemon-$(VERSION)
 	cp -af $^ bluemon-$(VERSION)
@@ -134,6 +138,8 @@
 	cp -f bluemon-$(VERSION).tar.gz bluemon_$(VERSION).orig.tar.gz
 	cp -af debian bluemon-$(VERSION)
 	(cd bluemon-$(VERSION); debuild -uc -us -rfakeroot)
+	lintian $@
+	lintian bluemon_$(VERSION)$(DEB_VER).dsc
 
 deb: bluemon_$(VERSION)$(DEB_VER)_$(DEB_ARCH).deb
 bluemon_$(VERSION)$(DEB_VER).dsc: bluemon_$(VERSION)$(DEB_VER)_$(DEB_ARCH).deb
