=== debian/watch ===
version=4
http://www.matthew.ath.cx/projects/bluemon (?:.*/)?bluemon-?_?([\d+\.]+|\d+)\.tar.* debian uupdate
